# Derivace funkce

- rychlost růstu či klesání funkce

### Tabulka derivací

| funkce              | derivace                    |
| ------------------- | --------------------------- |
| $x^a$               | $ax^{a-1}$                  |
| $e^x$               | $e^x$                       |
| $a^x$               | $a^x \ln a$                 |
| $\ln x$             | $\frac{1}{x}$               |
| $\log_{a} x$        | $\frac{1}{x \ln a}$         |
| $\sin x$            | $\cos x$                    |
| $\cos x$            | $-\sin x$                   |
| $\text{tg } x$      | $\frac{1}{\cos^2 x}$        |
| $\text{cotg } x$    | $-\frac{1}{\sin^2 x}$       |
| $\arcsin x$         | $\frac{1}{\sqrt{ 1-x^2 }}$  |
| $\arccos x$         | $-\frac{1}{\sqrt{ 1-x^2 }}$ |
| $\text{arctg } x$   | $\frac{1}{1+x^2}$           |
| $\text{arccotg } x$ | $-\frac{1}{1+x^2}$          |
| $\sinh x$           | $\cosh x$                   |
| $\cosh x$           | $\sinh x$                   |
| $\text{tgh } x$     | $\frac{1}{\cosh^2 x}$       |
| $\text{cotgh } x$   | $\frac{1}{\sinh^2 x}$       |

### Tečna a normála

- zjištění tečny a normály v bodě funkce ($x_{0}$)
	1. najdeme tečný bod $T[x_{0}, y_{0}]$
		- $y_{0} = f(x_{0})$
	2. zderivujeme $f(x)$ a dosadíme do derivace $x_{0}$
		- $f'(x)$
		- $f'(x_{0})$
	3. zjistíme tečnu
		- $t: y-y_{0} = f'(x_{0})(x-x_{0})$
	4. zjistíme normálu
		- $n: y-y_{0} = -\frac{1}{f'(x_{0})}(x-x_{0})$